%define version 1.0.9
%define release %mkrel 2

Summary:	A general purpose calculator and math tool
Name:		genius
Version:	%{version}
Release:	%{release}
License:	GPLv3+
Group:		Sciences/Mathematics
URL:		http://www.jirka.org/genius.html
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		http://ftp.5z.com/pub/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	vte-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	libgtksourceview-2.0-devel
BuildRequires:	gmp-devel
BuildRequires:	readline-devel
BuildRequires:	mpfr-devel
BuildRequires:	termcap-devel
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	scrollkeeper
# the following stuffs are not necessary if not regenerating auto* stuff
BuildRequires:	intltool
BuildRequires:	automake
Requires:	ghostscript

%description
Genius is an advanced calculator and a mathematical programming language.
It handles multiple precision floating point numbers, infinite precision
integers, complex numbers and matrixes.


%prep
%setup -q

%build
%configure2_5x --enable-mpfr --disable-scrollkeeper --disable-update-mimedb 
make

%install
rm -rf %{buildroot}
%makeinstall_std

%{find_lang} %{name} --with-gnome

# remove stuff not distributed
# pointless to include header, no plugin has been developed in 4 yrs
rm -rf %{buildroot}%{_includedir}
rm -f %{buildroot}%{_libdir}/genius/*.a \
      %{buildroot}%{_libdir}/genius/*.la

%if %mdkversion < 200900
%post
%update_menus
%update_mime_database
%update_desktop_database
%update_scrollkeeper
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_mime_database
%clean_desktop_database
%clean_scrollkeeper
%clean_icon_cache hicolor
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/application-registry/*
%{_datadir}/mime/packages/*
%{_datadir}/mime-info/*
%{_datadir}/omf/*
%{_iconsdir}/hicolor/*/apps/gnome-genius.png
%{_iconsdir}/hicolor/*/apps/genius-stock-plot.png
%{_libdir}/%{name}
%{_libexecdir}/genius-readline-helper-fifo


%changelog
* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 1.0.9-2mdv2010.1
+ Revision: 503580
- rebuild for new gmp

* Wed Dec 23 2009 Götz Waschk <waschk@mandriva.org> 1.0.9-1mdv2010.1
+ Revision: 481891
- update to new version 1.0.9

* Tue Nov 10 2009 Götz Waschk <waschk@mandriva.org> 1.0.8-1mdv2010.1
+ Revision: 463965
- update to new version 1.0.8

* Wed Jul 29 2009 Götz Waschk <waschk@mandriva.org> 1.0.7-1mdv2010.0
+ Revision: 404423
- update to new version 1.0.7

* Wed Jun 10 2009 Götz Waschk <waschk@mandriva.org> 1.0.6-3mdv2010.0
+ Revision: 384682
- rebuild for new vte

* Tue Jun 02 2009 Götz Waschk <waschk@mandriva.org> 1.0.6-2mdv2010.0
+ Revision: 382162
- rebuild for new libvte

* Sun Mar 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.6-1mdv2009.1
+ Revision: 355219
- Update to new version 1.0.6
- Don't package ChangeLog and COPYING (GPLv3 license) files
- Use %%{buildroot} macro instead of $RPM_BUILD_ROOT in SPEC file

* Tue Mar 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.5-2mdv2009.1
+ Revision: 347889
- rebuild for latest readline

* Wed Feb 11 2009 Funda Wang <fwang@mandriva.org> 1.0.5-1mdv2009.1
+ Revision: 339302
- New version 1.0.5

* Tue Feb 10 2009 Funda Wang <fwang@mandriva.org> 1.0.4-1mdv2009.1
+ Revision: 339288
- New version 1.0.4

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - import genius

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Aug 18 2006 Frederic Crozat <fcrozat@mandriva.com> 0.7.6.1-1mdv2007.0
- Release 0.7.6.1
- clean spec
- fix xdg menu

* Thu Aug 10 2006 Lenny Cartier <lenny@mandriva.com> 0.7.4-5mdv2007.0
- xdg

* Thu Dec 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.4-4mdk
- Fix File list
- use mkrel

* Sun Sep 04 2005 Michael Scherer <misc@mandriva.org> 0.7.4-3mdk
- Rebuild to avoid libglitz deps

* Wed Aug 24 2005 Abel Cheung <deaddog@mandriva.org> 0.7.4-2mdk
- Prereq -> Requires

* Wed Aug 24 2005 Abel Cheung <deaddog@mandriva.org> 0.7.4-1mdk
- New release 0.7.4

* Fri Mar 25 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-1mdk
- 0.7.3

* Sun Mar 13 2005 Franck Villaume <fvill@freesurf.fr> 0.7.2-5mdk
- remove files for automatic rebuild

* Fri Feb 04 2005 Jerome Soyer <saispo@mandrake.org> 0.7.2-4mdk
- Rebuild new readline

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.2-3mdk 
- Rebuild with latest howl

* Thu Dec 30 2004 Abel Cheung <deaddog@mandrake.org> 0.7.2-2mdk
- Add scrollkeeper stuff

* Sat Dec 25 2004 Abel Cheung <deaddog@mandrake.org> 0.7.2-1mdk
- New version
- P1: switch to automake 1.8
- Remove restriction on gmp version, now it uses bundled mpfr library

* Fri Nov 12 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.1-4mdk
- fix buildrequires

* Fri Nov 12 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.1-3mdk
- remove generated files from %%_datadir/mime/

* Sat Aug 21 2004 Abel Cheung <deaddog@deaddog.org> 0.7.1-2mdk 
- Update mime info in postin/un

* Fri Aug 20 2004 Jerome Soyer <saispo@mandrake.org> 0.7.1-1mdk
- 0.7.1

* Mon Aug 16 2004 Jerome Soyer <saispo@mandrake.org> 0.7.0-2mdk
- Fix menu

* Wed Aug 10 2004 Jerome Soyer <saispo@mandrake.org> 0.7.0-1mdk
- 0.7.0
- fix gcc 3.4 build

* Sat Apr 10 2004 Abel Cheung <deaddog@deaddog.org> 0.6.0-1mdk
- First Mandrake spec
- Patch0: Don't build versioned module
